#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	rm -rf locale common/po/*.mo
	find $(CURDIR) -name "*\.py[co]" -delete
	# these get regenerated
	rm -f */man/C/*.1.gz
	rm -f common/Makefile qt/Makefile
	rm -f common/config-example-*.gz

override_dh_auto_configure:
	cd common && ./configure
	cd qt && ./configure

override_dh_auto_build:
	cd common && $(MAKE) build
	cd qt && $(MAKE) build

override_dh_auto_install:
	cd common && DESTDIR=../debian/backintime-common $(MAKE) install
	#rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common
	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime/LICENSE
	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/CHANGES

	cd qt && DESTDIR=../debian/backintime-qt $(MAKE) install
	rm -rf $(CURDIR)/debian/backintime-qt/usr/share/doc/backintime-qt

override_dh_python3:
	dh_python3 /usr/share/backintime/

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_compress:
	dh_compress -XLICENSE

%:
	dh $@ --with python3
